<?php
/**
 * @version		$Id$
 * @author		Nguyen Lu Vinh
 * @package		FunReCaptcha
 * @copyright	Copyright (C) 2009 All For You. All rights reserved.
 * @license		GNU/GPL
 */

defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();
$document->addStyleDeclaration('.icon-48-funrecaptcha {background-image:url('.
            JURI::base().'components/com_funrecaptcha/assets/icon-48-funrecaptcha.png);}');
// Set toolbar items for the page
$text = !$this->item->id ? JText::_( 'New' ) : JText::_( 'Edit' );
JToolBarHelper::title(   JText::_( 'Captcha' ).': <small><small>[ ' . $text.' ]</small></small>', 'funrecaptcha' );
JToolBarHelper::save();
if (!$this->item->id)  {
	JToolBarHelper::cancel();
} else {
	JToolBarHelper::apply();
	// for existing items the button is renamed `close`
	JToolBarHelper::cancel( 'cancel', 'Close' );
}

JHTML::_('behavior.tooltip');
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Details' ); ?></legend>

		<table class="admintable">
		<tr>
			<td width="100" align="right" class="key">
				<span class="hasTip" title="<?php echo JText::_('INTEGRATED_VARS_LABEL'); ?>::<?php echo JText::_('INTEGRATED_VARS_DESC'); ?>">
				<label for="integrated_vars">
					<?php echo JText::_( 'INTEGRATED_VARS_LABEL' ); ?>:
				</label>
				</span>
			</td>
			<td>
				<input class="text_area" type="text" name="integrated_vars" id="integrated_vars" size="90" maxlength="250" value="<?php echo $this->item->integrated_vars;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<span class="hasTip" title="<?php echo JText::_('CHECKED_VARS_LABEL'); ?>::<?php echo JText::_('CHECKED_VARS_DESC'); ?>">
				<label for="checked_vars">
					<?php echo JText::_( 'CHECKED_VARS_LABEL' ); ?>:
				</label>
				</span>
			</td>
			<td>
				<input class="text_area" type="text" name="checked_vars" id="checked_vars" size="90" maxlength="250" value="<?php echo $this->item->checked_vars;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<span class="hasTip" title="<?php echo JText::_('RELATED_ITEM_ID_LABEL'); ?>::<?php echo JText::_('RELATED_ITEM_ID_DESC'); ?>">
				<label for="rel_item_id">
					<?php echo JText::_( 'RELATED_ITEM_ID_LABEL' ); ?>:
				</label>
				</span>
			</td>
			<td>
				<input class="text_area" type="text" name="rel_item_id" id="rel_item_id" size="32" maxlength="250" value="<?php echo $this->item->rel_item_id;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<span class="hasTip" title="<?php echo JText::_('POSITION_LABEL'); ?>::<?php echo JText::_('POSITION_DESC'); ?>">
				<label for="position">
					<?php echo JText::_( 'POSITION_LABEL' ); ?>:
				</label>
				</span>
			</td>
			<td>
				<?php echo JHTML::_('select.genericlist', $this->position, 'position', null, 'value', 'text', $this->item->position); ?>
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<span class="hasTip" title="<?php echo JText::_('RESTORE_FIELDS_LABEL'); ?>::<?php echo JText::_('RESTORE_FIELDS_DESC'); ?>">
				<label for="restore_fields">
					<?php echo JText::_( 'RESTORE_FIELDS_LABEL' ); ?>:
				</label>
				</span>
			</td>
			<td>
				<textarea name="restore_fields" id="restore_fields" class="text_area" cols="50" rows="5"><?php echo $this->item->restore_fields;?></textarea>
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<label for="enabled">
					<?php echo JText::_( 'ENABLED_LABEL' ); ?>:
				</label>
			</td>
			<td>
				<?php echo JHTML::_('select.booleanlist', 'enabled', null, $this->item->enabled); ?>
			</td>
		</tr>
		</table>
	</fieldset>
</div>
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Parameters' ); ?></legend>

		<table class="admintable">
		<tr>
			<td colspan="2">
				<?php echo $this->params->render();?>
			</td>
		</tr>
		</table>
	</fieldset>
</div>
<div class="clr"></div>

	<input type="hidden" name="option" value="com_funrecaptcha" />
	<input type="hidden" name="cid[]" value="<?php echo $this->item->id; ?>" />
	<input type="hidden" name="task" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>