<?php
/**
 * @version		$Id$
 * @author		Nguyen Lu Vinh
 * @package		FunReCaptcha
 * @copyright	Copyright (C) 2009 All For You. All rights reserved.
 * @license		GNU/GPL
 */

defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();
$document->addStyleDeclaration('.icon-48-funrecaptcha {background-image:url('.
            JURI::base().'components/com_funrecaptcha/assets/icon-48-funrecaptcha.png);}');
JToolBarHelper::title(   JText::_( 'FUNRECAPTCHA_MANAGER' ), 'funrecaptcha.png' );
JToolBarHelper::publishList('unblock', 'Enabled');
JToolBarHelper::unpublishList('block', 'Disable');
JToolBarHelper::deleteList('DELETE_CONFIRM');
JToolBarHelper::editListX();
JToolBarHelper::addNewX();
JToolBarHelper::preferences('com_funrecaptcha', '380');
?>
<form action="index.php" method="post" name="adminForm">
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'NUM' ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>
			<th>
				<?php echo JHTML::_('grid.sort', 'INTEGRATED_VARS', 'integrated_vars', $this->lists['direction'], $this->lists['ordering']); ?>
			</th>
			<th>
				<?php echo JHTML::_('grid.sort', 'CHECKED_VARS', 'checked_vars', $this->lists['direction'], $this->lists['ordering']); ?>
			</th>
			<th class="title" width="10%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'RELATED_ITEM_ID', 'rel_item_id', $this->lists['direction'], $this->lists['ordering']); ?>
			</th>
			<th class="title" width="5%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'POSITION', 'position', $this->lists['direction'], $this->lists['ordering']); ?>
			</th>
			<th class="title" width="5%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'ENABLED', 'enabled', $this->lists['direction'], $this->lists['ordering']); ?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'ID', 'id', $this->lists['direction'], $this->lists['ordering']); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="8"><?php echo $this->pagination->getListFooter(); ?></td>
		</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	for ($i = 0, $n = count($this->items); $i < $n; $i++) {
		$row = &$this->items[$i];
		$link = JRoute::_('index.php?option=com_funrecaptcha&task=edit&cid[]='.$row->id); 
		$checked = JHTML::_('grid.checkedout', $row, $i);
		
		$img 	= $row->enabled ? 'tick.png' : 'publish_x.png';
		$task 	= $row->enabled ? 'block' : 'unblock';
		$alt 	= $row->enabled ? JText::_( 'Blocked' ) : JText::_( 'Enabled' );
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pagination->getRowOffset( $i ); ?>
			</td>
			<td>
				<?php echo $checked;?>
			</td>
			<td>
				<a href="<?php echo $link; ?>"><?php echo $row->integrated_vars; ?></a>
			</td>
			<td>
				<a href="<?php echo $link; ?>"><?php echo $row->checked_vars; ?></a>
			</td>
			<td>
				<?php echo $row->rel_item_id; ?>
			</td>
			<td>
				<?php echo $row->position; ?>
			</td>
			<td align="center">
				<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
					<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" />
				</a>
			</td>
			<td>
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	if (!count($this->items)) {
		?>
		<tr>
			<td colspan="8" align="center"><?php echo JText::_('None'); ?></td>
		</tr>
		<?php
	}
	?>
	</tbody>
	</table>
</div>
	<input type="hidden" name="option" value="com_funrecaptcha" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['ordering']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['direction']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>